/*
 * @Author: fuyu
 * @Date: 2021-03-22 19:10:00
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-23 10:06:31
 * @FilePath: /202103/code/test/tmp/Register.js
 */

const Sequelize = require('sequelize');
import sequelize from './db/sequelize';
/**
* 患者信息
*/
// primaryKey: true
// defaultValue: null
const Register = sequelize.define('register', {
  id: {type: Sequelize.STRING(255), allowNull: false, primaryKey: true}, // id,
  exam_id: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // exam_id, 检查key
  exam_sub_class: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // exam_sub_class, 检查子类
  body_part: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // body_part, 检查部位
  device_name: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // device_name, 检查设备
  technician_id: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // technician_id, 检查技师ID
  technician_name: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // technician_name, 检查技师姓名
  technician_datetime: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // technician_datetime, 计划检查时间
  register_id: {type: Sequelize.STRING(50), allowNull: true, defaultValue: null}, // register_id, 登记医师ID
  register_name: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // register_name, 登记医师姓名
  register_datetime: {type: Sequelize.DATE, allowNull: true, defaultValue: null}, // register_datetime, 登记时间
  illness_desc: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // illness_desc, 患者主诉
  phys_sign: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // phys_sign, 体征
  clin_symp: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // clin_symp, 症状
  anamnesis: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // anamnesis, 疾病史
  family_ill: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // family_ill, 家族病史
  application_department: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // application_department, 申请科室
  clin_diag: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // clin_diag, 初步诊断
  ext: {type: Sequelize.TEXT, allowNull: true, defaultValue: null}, // ext, 备注
  clin_department: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // clin_department, 送诊科室
  clin_doctors_id: {type: Sequelize.STRING(50), allowNull: true, defaultValue: null}, // clin_doctors_id, 送诊医生ID
  clin_doctors_name: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // clin_doctors_name, 送诊医生姓名
  clin_datetime: {type: Sequelize.DATE, allowNull: true, defaultValue: null}, // clin_datetime, 送诊时间
}, {
  freezeTableName: true,
  charset: 'utf8',
  indexes:[
    {fields : ['exam_id']}
  ],
});
Register.sync({ force: false }).then(function() {});
export default Register;